Bug 147156 - fix build: audio/musepack
Summary: fix build: audio/musepack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-28 08:40 UTC by Stefan Ehmann
Modified: 2010-05-29 02:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Ehmann 2010-05-28 08:40:03 UTC

port fails to patch because of obsolete patch files

Also noted in ports/146643, but apparently ignored because PR is already closed.

Fix: 

delete the following from CVS:
files/patch-Makefile
files/patch-mppenc.c
How-To-Repeat: 

# cd /usr/ports/audio/musepack/
# make
===>  Extracting for musepack-2009.03.01
=> MD5 Checksum OK for musepack_src_r435.tar.gz.
=> SHA256 Checksum OK for musepack_src_r435.tar.gz.
===>  Patching for musepack-2009.03.01
===>  Applying FreeBSD patches for musepack-2009.03.01
File to patch:
Comment 1 Stefan Ehmann 2010-05-28 14:31:39 UTC
I just noticed that the newly provided library conflicts with audio/libmpcdec. 
The following files are installed by both ports:
/usr/local/lib/libmpcdec.a
/usr/local/lib/libmpcdec.la
/usr/local/lib/libmpcdec.so

I guess adding mutual CONFLICTS is necessary.
Comment 2 Shaun Amott freebsd_committer 2010-05-29 02:05:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Grab.
Comment 3 Shaun Amott freebsd_committer 2010-05-29 02:06:04 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2010-05-29 02:15:23 UTC
shaun       2010-05-29 01:15:13 UTC

  FreeBSD ports repository

  Modified files:
    audio/libmpcdec      Makefile 
    audio/musepack       Makefile 
  Log:
  Add CONFLICTS: audio/libmpcdec and audio/musepack both install the
  following files:
  
    /usr/local/lib/libmpcdec.a
    /usr/local/lib/libmpcdec.la
    /usr/local/lib/libmpcdec.so
  
  PR:             ports/147156
  Submitted by:   Stefan Ehmann <shoesoft@gmx.net> (musepack maintainer)
  
  Revision  Changes    Path
  1.14      +2 -0      ports/audio/libmpcdec/Makefile
  1.11      +2 -0      ports/audio/musepack/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"